import request from "@/utils/request";

import { useModel } from "@/store";

const upload = (file, fileType = "image") => {
  const { policyList } = useModel("policy");
  const formData = new FormData();
  formData.append("OSSAccessKeyId", policyList.OSSAccessKeyId);
  formData.append("signature", policyList.signature);
  formData.append("policy", policyList.policy);
  formData.append("key", policyList.dir);
  formData.append("success_action_status", 200);
  formData.append("file", file);

  // return request(policyList.host, {
  //   method: "post",
  //   data: formData,
  //   headers: {
  //     "Content-Type": "multipart/form-data",
  //     "Access-Control-Allow-Origin": "*",
  //   },
  // });
};

/**
 * 上传文件
 * @returns
 */
export function uploadFile(params) {
  const { file, onSuccess, onError } = params;
  upload(file)
    .then((res) => {
      onSuccess(res, file);
    })
    .catch((e) => {
      onError(e);
    });

  return {
    abort: () => {},
  };
}
