import React, { useRef, useState } from 'react'
import Page from '@/components/Page'
import { Button, Input, Descriptions, Form, Image, Card, Row, Col, Space, Tag } from 'antd'

export default (props) => {

  const { list } = props;

  return (
    <Page>
      <Card bordered={false}>
        <Descriptions layout="vertical" bordered>
          <Descriptions.Item label="标题">AIgc</Descriptions.Item>
          <Descriptions.Item label="描述" span={2}>我喜欢的智能</Descriptions.Item>
          <Descriptions.Item label="正文" span={3}>
            AIGC，全称为AI-Generated Content，是指基于人工智能技术自动生成各种类型的内容，如文本、图像、声音、视频等。它利用已有数据寻找规律，并自
            动生成内容，既是一种内容分类方式，也是一种内容生产方式，还是一种用于内容自动生成的一类技术集合。
            AIGC涵盖了人工智能、计算机图形学和深度学习等领域技术的综合平台，其目的在于将这些技术结合起来，实现更加高效、智能化的图像识别和处理，提升
            人机交互的用户体验。与百度AI文心一言和ChatGPT相比，AIGC主要侧重于图像识别与处理等技术，而百度AI文心一言则更侧重于自然语言处理。
            AIGC在多个领域具有广泛的应用。在智能安防领域，它可以通过图像识别技术实现人脸识别、车辆识别等功能，提升安全监控的效率和准确性。在游戏和
            虚拟现实领域，AIGC可以实现高度逼真的图像渲染和物理模拟，提升游戏体验。此外，AIGC还可以参与内容共创，推动媒体融合转型，参与制作全流程，推
            进虚实交融，提供发展动能，助力产业加快升级等。
            具体来说，AIGC可以生成高质量、独特的图像作品，包括绘画、插图、设计、艺术品等；可以创作音乐、歌曲、声音效果或其他音频内容，提供新颖和多样
            化的音乐体验；可以生成影片、动画、短视频等，具备专业级的画面效果和剧情呈现；还可以生成3D模型、场景、动画等，为游戏开发、虚拟现实和影视制
            作提供多样化的创意和设计。
            然而，尽管AIGC具有强大的创造力，但仍然需要人类的指导和监督，以确保创作的质量和道德性。在创作过程中，AIGC会遵循人类设定的规则和算法，但其
            结果仍然需要人类进行审查和评估，以确保内容符合社会价值观和法律法规。
            总的来说，AIGC是一种强大的内容生成工具，其应用前景广阔，将在未来为人们的生活带来更多便利和乐趣。
          </Descriptions.Item>
          <Descriptions.Item label="标签">
            <Tag color="red">ai</Tag>
            <Tag color="red">智能</Tag>
          </Descriptions.Item>
          <Descriptions.Item label="横向封面图">
            <Image src="https://gw.alipayobjects.com/zos/antfincdn/cV16ZqzMjW/photo-1473091540282-9b846e7965e3.webp" width={80} />
          </Descriptions.Item>
          <Descriptions.Item label="纵向封面图">
            <Image src="https://gw.alipayobjects.com/zos/antfincdn/LlvErxo8H9/photo-1503185912284-5271ff81b9a8.webp" width={80} />
          </Descriptions.Item>
          <Descriptions.Item label="图片">
            <Image src="https://gw.alipayobjects.com/zos/antfincdn/aPkFc8Sj7n/method-draw-image.svg" width={80} />
          </Descriptions.Item>
          <Descriptions.Item label="分类">
            人工智能
          </Descriptions.Item>
          <Descriptions.Item label="链接地址">
            https://www.baidu.com/
          </Descriptions.Item>
          <Descriptions.Item label="附件" span={3}>

          </Descriptions.Item>
        </Descriptions>
      </Card>
    </Page>
  )
}