import { useState, useRef, useEffect } from "react";
import { defaultRoutes, authRoutes, mergeAuthRoutes } from "@/routes/routes";
import { getMenuItems } from "@/routes/menus";
import { currentUser } from "@/services/login";
import { getAuthedRoutes } from "@/routes/permissions";

export default function useUser () {
  const [user, setUser] = useState({ userId: 1, userName: "admin" });
  const [login, setLogin] = useState(false);
  const menusRef = useRef();
  const routesRef = useRef();
  const dbMenusRef = useRef([]);

  const getCurrentUser = (params) =>
    new Promise((resolve, reject) => {
      // currentUser(params)
      //   .then((res) => {
      // dbMenusRef.current = res?.menuList || [];
      // const permissions = dbMenusRef.current.map((x) => x.menuCode);

      // // authRoutes 是所有待验证授权的路由
      // // authedRoutes 是已经被授权的路由
      // const authedRoutes = getAuthedRoutes(authRoutes, permissions || []);

      // menusRef.current = getMenuItems(authedRoutes);
      // routesRef.current = mergeAuthRoutes(defaultRoutes, authedRoutes);

      //   setUser(res);
      //   resolve();
      // })
      // .catch(reject);
    });

  // authRoutes 是所有待验证授权的路由
  // authedRoutes 是已经被授权的路由
  const authedRoutes = getAuthedRoutes(authRoutes);
  menusRef.current = getMenuItems(authedRoutes);
  routesRef.current = mergeAuthRoutes(defaultRoutes, authedRoutes);

  return {
    user,
    setUser,
    getCurrentUser,
    menus: menusRef.current || [],
    routes: routesRef.current || [],
    dbMenus: dbMenusRef.current,
    login,
  };
}
